Page MenuHomePhabricator

Reinstate namespace aliases on ml sites
Closed, ResolvedPublic

Description

ml.wikipedia mainpage problem screenshot (fixed by editing)

Currently ml.wikipeda sites lost all of its namespace aliases and many pages including main page was / is broken. Some are manually edited to fix. Please reinstate all namespace aliases. For now, I am not if sure any other sites affected.


Version: wmf-deployment
Severity: major
URL: http://ml.wikipedia.org

Attached:

Details

Reference
bz58074

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:23 AM
bzimport set Reference to bz58074.
bzimport added a subscriber: Unknown Object (MLST).
Praveenp created this task.Dec 6 2013, 2:41 AM

Perhaps related to that issue where localization was rather wonky earlier today?

ml.wikisource, ml.wikiquote, ml.wiktionary also affected. Alias ഉ (for ഉപയോക്താവ് - user) worked on ml.wikibooks!

ഉ is indeed still defined in my.wikibooks namespace configuration as an alias for NS_USER, untouched since 2012.

This is not a configuration file issue.

praveenp: When did this still work as expected?

(In reply to comment #2)

ml.wikisource, ml.wikiquote, ml.wiktionary also affected. Alias ഉ (for
ഉപയോക്താവ് - user) worked on ml.wikibooks!

https://git.wikimedia.org/blame/operations%2Fmediawiki-config.git/HEAD/wmf-config%2FInitialiseSettings.php defines
'+mlwikibooks' => array(

		'ഉ' => NS_USER,

but even an old version (I checked a three weeks old one) did not define this NS_USER for any other ml sites than wikibooks, as Dereckson wrote in comment 3.

TTO added a comment.Dec 7 2013, 5:20 AM

(In reply to comment #4)

but even an old version (I checked a three weeks old one) did not define this
NS_USER for any other ml sites than wikibooks, as Dereckson wrote in
comment 3.

That is because these aliases are defined in MediaWiki core [1]. They have been there for at least 12 months.

I set my local test wiki to Malayalam and the aliases work as expected. I have no idea why they are now not working on the WMF cluster.

[1] http://git.wikimedia.org/blob/mediawiki%2Fcore.git/69b684ecb10dbd37471ae90c37b3d959ccbdadbb/languages%2Fmessages%2FMessagesMl.php#L69

Sounds like a rebuildLocalisationCache SNAFU. Those are rare, and not well understood.

(In reply to comment #1)

Perhaps related to that issue where localization was rather wonky earlier
today?

I don't know about this. Are there details anywhere? Maybe Sam or someone else from Platform can force a localisation cache rebuild and scap that?

If possible please include these in configuration files in the meantime (like ഉ in ml.wikibooks - Comment 3). Too many pages / links are affected and so this issue is a clear inconvenience to users.

Some pages are still displaying correctly, although updating cache using ?action=purge would break them simply.

Regarding priority: this is a pretty big deal. If this was happening to enwiki you would easily have a mass of people screaming bloody murder.

@Brian: translatewiki.net has nothing to do with this as far as I can tell. There have not been changed in namespaces of MessagesMl.php recently. I've changed back to the previous summary, for lack of a better one.

IMO Platform really has to look into this. I don't know how to surface that any more here in bugzilla than by my previous comments, so I'll start poking outside of bugzilla now.

https://ml.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=namespaces|namespacealiases gives this:

<api>

<query>
  <namespaces>
    <ns id="-2" case="first-letter" canonical="Media" xml:space="preserve">മീഡിയ</ns>
    <ns id="-1" case="first-letter" canonical="Special" xml:space="preserve">പ്രത്യേകം</ns>
    <ns id="0" case="first-letter" content="" xml:space="preserve" />
    <ns id="1" case="first-letter" subpages="" canonical="Talk" xml:space="preserve">സംവാദം</ns>
    <ns id="2" case="first-letter" subpages="" canonical="User" xml:space="preserve">ഉപയോക്താവ്</ns>
    <ns id="3" case="first-letter" subpages="" canonical="User talk" xml:space="preserve">ഉപയോക്താവിന്റെ സംവാദം</ns>
    <ns id="4" case="first-letter" subpages="" canonical="Project" xml:space="preserve">വിക്കിപീഡിയ</ns>
    <ns id="5" case="first-letter" subpages="" canonical="Project talk" xml:space="preserve">വിക്കിപീഡിയ സംവാദം</ns>
    <ns id="6" case="first-letter" canonical="File" xml:space="preserve">പ്രമാണം</ns>
    <ns id="7" case="first-letter" subpages="" canonical="File talk" xml:space="preserve">പ്രമാണത്തിന്റെ സംവാദം</ns>
    <ns id="8" case="first-letter" subpages="" canonical="MediaWiki" xml:space="preserve">മീഡിയവിക്കി</ns>
    <ns id="9" case="first-letter" subpages="" canonical="MediaWiki talk" xml:space="preserve">മീഡിയവിക്കി സംവാദം</ns>
    <ns id="10" case="first-letter" subpages="" canonical="Template" xml:space="preserve">ഫലകം</ns>
    <ns id="11" case="first-letter" subpages="" canonical="Template talk" xml:space="preserve">ഫലകത്തിന്റെ സംവാദം</ns>
    <ns id="12" case="first-letter" subpages="" canonical="Help" xml:space="preserve">സഹായം</ns>
    <ns id="13" case="first-letter" subpages="" canonical="Help talk" xml:space="preserve">സഹായത്തിന്റെ സംവാദം</ns>
    <ns id="14" case="first-letter" canonical="Category" xml:space="preserve">വർഗ്ഗം</ns>
    <ns id="15" case="first-letter" subpages="" canonical="Category talk" xml:space="preserve">വർഗ്ഗത്തിന്റെ സംവാദം</ns>
    <ns id="100" case="first-letter" subpages="" canonical="കവാടം" xml:space="preserve">കവാടം</ns>
    <ns id="101" case="first-letter" subpages="" canonical="കവാടത്തിന്റെ സംവാദം" xml:space="preserve">കവാടത്തിന്റെ സംവാദം</ns>
    <ns id="828" case="first-letter" subpages="" canonical="Module" xml:space="preserve">ഘടകം</ns>
    <ns id="829" case="first-letter" subpages="" canonical="Module talk" xml:space="preserve">ഘടകത്തിന്റെ സംവാദം</ns>
  </namespaces>
  <namespacealiases>
    <ns id="4" xml:space="preserve">WP</ns>
    <ns id="4" xml:space="preserve">Wikipedia</ns>
    <ns id="4" xml:space="preserve">വിക്കി</ns>
    <ns id="5" xml:space="preserve">വിക്കിസം</ns>
    <ns id="6" xml:space="preserve">Image</ns>
    <ns id="7" xml:space="preserve">Image talk</ns>
    <ns id="100" xml:space="preserve">Portal</ns>
    <ns id="101" xml:space="preserve">Portal talk</ns>
    <ns id="828" xml:space="preserve">ഘ</ns>
    <ns id="829" xml:space="preserve">ഘസം</ns>
  </namespacealiases>
</query>

</api>

MessagesMl.php contains this:

$namespaceNames = array(
NS_MEDIA => 'മീഡിയ',
NS_SPECIAL => 'പ്രത്യേകം',
NS_TALK => 'സംവാദം',
NS_USER => 'ഉപയോക്താവ്',
NS_USER_TALK => 'ഉപയോക്താവിന്റെ_സംവാദം',
NS_PROJECT_TALK => '$1_സംവാദം',
NS_FILE => 'പ്രമാണം',
NS_FILE_TALK => 'പ്രമാണത്തിന്റെ_സംവാദം',
NS_MEDIAWIKI => 'മീഡിയവിക്കി',
NS_MEDIAWIKI_TALK => 'മീഡിയവിക്കി_സംവാദം',
NS_TEMPLATE => 'ഫലകം',
NS_TEMPLATE_TALK => 'ഫലകത്തിന്റെ_സംവാദം',
NS_HELP => 'സഹായം',
NS_HELP_TALK => 'സഹായത്തിന്റെ_സംവാദം',
NS_CATEGORY => 'വർഗ്ഗം',
NS_CATEGORY_TALK => 'വർഗ്ഗത്തിന്റെ_സംവാദം',
);

$namespaceAliases = array(
'സം' => NS_TALK,
'അംഗം' => NS_USER,
'ഉ' => NS_USER,
'അംഗങ്ങളുടെ സംവാദം' => NS_USER_TALK,
'ഉസം' => NS_USER_TALK,
'ചി' => NS_FILE,
'ചിസം' => NS_FILE_TALK,
'ചിത്രം' => NS_FILE,
'ചിത്രത്തിന്റെ_സംവാദം' => NS_FILE_TALK,
'പ്ര' => NS_FILE,
'പ്രസം' => NS_FILE_TALK,
'ഫ' => NS_TEMPLATE,
'ഫസം' => NS_TEMPLATE_TALK,
'വി' => NS_CATEGORY,
'വ' => NS_CATEGORY,
'വിസം' => NS_CATEGORY_TALK,
'വസം' => NS_CATEGORY_TALK,
'മീ' => NS_MEDIAWIKI,
'മീസം' => NS_MEDIAWIKI_TALK,
'പ്രത്യേ' => NS_SPECIAL,
'വിഭാഗം' => NS_CATEGORY,
'വിഭാഗത്തിന്റെ_സംവാദം' => NS_CATEGORY_TALK,
'വർഗ്ഗം' => NS_CATEGORY,
'വർഗ്ഗത്തിന്റെ_സംവാദം' => NS_CATEGORY_TALK,
'സ' => NS_HELP,
'സസം' => NS_HELP_TALK,
);

And more namespaces come from http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php:

'+mlwiki' => array(

		'വിക്കി' => NS_PROJECT,
		'വിക്കിസം' => NS_PROJECT_TALK,
		'Wikipedia' => NS_PROJECT,
		'WP' => NS_PROJECT,
		'Portal' => 100,
		'Portal_talk' => 101,

),

This, and the information from comment 6 indicate that there is an issue with the localisation cache at Wikimedia, as also mentioned as a suspicion in comment 7. My recommendation is to force a localisation cache rebuild for "ml" and to distribute that.

Reedy added a comment.Dec 11 2013, 4:29 PM

reedy@tin:/a/common/php-1.23wmf6/cache/l10n$ sudo -u l10nupdate mwscript rebuildLocalisationCache.php --wiki=mlwiki --outdir=/a/common/php-1.23wmf6/cache/l10n --threads=2 --lang=ml --force
Rebuilding ml...
1 languages rebuilt out of 1
reedy@tin:/a/common/php-1.23wmf6/cache/l10n$ ls l10n_cache-ml.cdb*
l10n_cache-ml.cdb l10n_cache-ml.cdb.old
reedy@tin:/a/common/php-1.23wmf6/cache/l10n$ ls -al l10n_cache-ml.cdb*
-rw-r--r-- 1 l10nupdate l10nupdate 3095899 Dec 11 16:23 l10n_cache-ml.cdb
-rw-r--r-- 1 l10nupdate l10nupdate 3098181 Dec 11 02:06 l10n_cache-ml.cdb.old

Reedy added a comment.Dec 11 2013, 4:32 PM

reedy@tin:/a/common/php-1.23wmf5/cache/l10n$ sudo -u l10nupdate mwscript rebuildLocalisationCache.php --wiki=mlwiki --outdir=/a/common/php-1.23wmf5/cache/l10n --threads=2 --lang=ml --force
Rebuilding ml...
1 languages rebuilt out of 1
reedy@tin:/a/common/php-1.23wmf5/cache/l10n$ ls -al l10n_cache-ml.cdb*
-rw-r--r-- 1 l10nupdate l10nupdate 3095899 Dec 11 16:31 l10n_cache-ml.cdb
-rw-r--r-- 1 l10nupdate l10nupdate 3095899 Dec 11 02:20 l10n_cache-ml.cdb.old

I think bug 54951 revert is deployed but still pages are broken because of cache. Is it possible to mass purge the entire cache (of all these wikis)?

@Praveenp: is this still occurring? if not, could you mark this bug RESOLVED FIXED please?

@Reedy: Can you have a look at it during today's deployment window, please? And merge https://gerrit.wikimedia.org/r/#/c/101889/ while at it? Thanks :-)

hoo added a comment.Feb 23 2014, 11:54 PM

I've just manually purged the few hundred remaining pages, so that this issue should be fully resolved now.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 20 2015, 3:22 AM